Bug 1653904 - [abrt] PackageKit: lr_lrmirrorlist_append_lrmirrorlist(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: lr_lrmirrorlist_append_lrmirrorlist(): packagekitd killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:83996eb44deab30721df0b8a1e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 19:39 UTC by aannoaanno
Modified: 2018-12-07 02:37 UTC (History)
5 users (show)

Fixed In Version: PackageKit-1.1.12-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:37:35 UTC


Attachments (Terms of Use)
File: backtrace (55.32 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: cgroup (184 bytes, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: core_backtrace (16.07 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: dso_list (8.70 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: environ (214 bytes, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: exploitable (100 bytes, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: maps (48.88 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: mountinfo (5.52 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: open_fds (2.71 KB, text/plain)
2018-11-27 19:39 UTC, aannoaanno
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-11-27 19:40 UTC, aannoaanno
no flags Details
File: var_log_messages (440 bytes, text/plain)
2018-11-27 19:40 UTC, aannoaanno
no flags Details

Description aannoaanno 2018-11-27 19:39:40 UTC
Version-Release number of selected component:
PackageKit-1.1.11-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: lr_lrmirrorlist_append_lrmirrorlist
executable:     /usr/libexec/packagekitd
journald_cursor: s=536a9128fb394c21854dbae926374743;i=5cfef;b=adcac6cad7734ecabedfc55a2441dadf;m=a019848;t=57b2f8b859b48;x=47e3a5d415fea7ff
kernel:         4.19.2-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 lr_lrmirrorlist_append_lrmirrorlist at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/lrmirrorlist.c:177
 #1 lr_handle_prepare_internal_mirrorlist at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/handle.c:1089
 #2 lr_handle_perform at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/handle.c:1197
 #3 dnf_repo_check_internal at /usr/src/debug/libdnf-0.22.0-8.fc29.x86_64/libdnf/dnf-repo.cpp:1362
 #4 dnf_repo_check(DnfRepo*, guint, DnfState*, GError**) at /usr/src/debug/libdnf-0.22.0-8.fc29.x86_64/libdnf/dnf-repo.cpp:1493
 #5 pk_backend_refresh_cache_thread at pk-backend-dnf.c:1584
 #6 pk_backend_job_thread_setup at pk-backend-job.c:726
 #7 g_thread_proxy at gthread.c:784
 #8 allocate_stack at allocatestack.c:590

Comment 1 aannoaanno 2018-11-27 19:39:45 UTC
Created attachment 1509138 [details]
File: backtrace

Comment 2 aannoaanno 2018-11-27 19:39:46 UTC
Created attachment 1509139 [details]
File: cgroup

Comment 3 aannoaanno 2018-11-27 19:39:48 UTC
Created attachment 1509140 [details]
File: core_backtrace

Comment 4 aannoaanno 2018-11-27 19:39:49 UTC
Created attachment 1509141 [details]
File: cpuinfo

Comment 5 aannoaanno 2018-11-27 19:39:50 UTC
Created attachment 1509142 [details]
File: dso_list

Comment 6 aannoaanno 2018-11-27 19:39:52 UTC
Created attachment 1509143 [details]
File: environ

Comment 7 aannoaanno 2018-11-27 19:39:53 UTC
Created attachment 1509144 [details]
File: exploitable

Comment 8 aannoaanno 2018-11-27 19:39:54 UTC
Created attachment 1509145 [details]
File: limits

Comment 9 aannoaanno 2018-11-27 19:39:56 UTC
Created attachment 1509146 [details]
File: maps

Comment 10 aannoaanno 2018-11-27 19:39:57 UTC
Created attachment 1509147 [details]
File: mountinfo

Comment 11 aannoaanno 2018-11-27 19:39:59 UTC
Created attachment 1509148 [details]
File: open_fds

Comment 12 aannoaanno 2018-11-27 19:40:00 UTC
Created attachment 1509149 [details]
File: proc_pid_status

Comment 13 aannoaanno 2018-11-27 19:40:01 UTC
Created attachment 1509150 [details]
File: var_log_messages

Comment 14 Kalev Lember 2018-11-28 08:58:07 UTC
This should hopefully be fixed in PackageKit 1.1.12 where we fixed a multithreading issue in DnfRepo handling that was likely causing this crash. If the crash is still reproducable after updating to 1.1.12, please reopen the ticket.

Comment 15 Fedora Update System 2018-11-28 09:00:11 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 16 Fedora Update System 2018-11-29 03:16:10 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 17 Fedora Update System 2018-12-07 02:37:35 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.